CREATE TABLE `pb_access_log` (
    `access_log_id` int(11) NOT NULL auto_increment,
    `user_agent` varchar(255) NOT NULL DEFAULT '',
    `ip` varchar(100) NOT NULL DEFAULT '',
    `host` varchar(255) NOT NULL DEFAULT '',
    `uri` varchar(255) NOT NULL DEFAULT '',
    `referer` varchar(255) NOT NULL DEFAULT '',
    `r_datetime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
    PRIMARY KEY  (`access_log_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `pb_blocks` (
    `block_id` int(11) NOT NULL auto_increment,
    `ip` varchar(100) NOT NULL DEFAULT '',
    `note` text NOT NULL DEFAULT '',
    `r_datetime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
    PRIMARY KEY  (`block_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `pb_block_log` (
    `block_log_id` int(11) NOT NULL auto_increment,
    `ip` varchar(100) NOT NULL DEFAULT '',
    `r_datetime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
    PRIMARY KEY  (`block_log_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `pb_blog_config` (
    `blog_config_id` int(11) NOT NULL auto_increment,
    `name` varchar(64) NOT NULL DEFAULT '',
    `value` text NOT NULL DEFAULT '',
    PRIMARY KEY  (`blog_config_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `pb_categories` (
    `category_id` int(11) NOT NULL auto_increment,
    `category_name` varchar(255) NOT NULL DEFAULT '',
    `outline` text NOT NULL DEFAULT '',
    `sort_order` int(11) NOT NULL DEFAULT 0,
    `r_datetime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
    PRIMARY KEY  (`category_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `pb_category_posts` (
    `category_post_id` int(11) NOT NULL auto_increment,
    `category_id` int(11) NOT NULL,
    `post_id` int(11) NOT NULL,
    PRIMARY KEY  (`category_post_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `pb_links` (
    `link_id` int(11) NOT NULL auto_increment,
    `link_name` varchar(255) NOT NULL DEFAULT '',
    `url` text NOT NULL DEFAULT '',
    `sort_order` int(11) NOT NULL DEFAULT 0,
    `r_datetime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
    PRIMARY KEY  (`link_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `pb_posts` (
    `post_id` int(11) NOT NULL auto_increment,
    `subject` varchar(255) NOT NULL DEFAULT '',
    `category_id` int(11) NOT NULL,
    `is_open` tinyint(1) NOT NULL DEFAULT 0,
    `allow_comment` tinyint(1) NOT NULL DEFAULT 0,
    `trackback_url` text NOT NULL DEFAULT '',
    `body` text NOT NULL DEFAULT '',
    `r_datetime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
    `m_datetime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
    PRIMARY KEY  (`post_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `pb_post_comments` (
    `post_comment_id` int(11) NOT NULL auto_increment,
    `post_id` int(11) NOT NULL,
    `is_approved` tinyint(1) NOT NULL DEFAULT 0,
    `author_name` varchar(255) NOT NULL DEFAULT '',
    `author_email` varchar(255) NOT NULL DEFAULT '',
    `author_url` varchar(255) NOT NULL DEFAULT '',
    `author_password` blob NOT NULL DEFAULT '',
    `comment` text NOT NULL DEFAULT '',
    `r_datetime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
    PRIMARY KEY  (`post_comment_id`),
    KEY `post_id` (`post_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `pb_trackbacks` (
    `trackback_id` int(11) NOT NULL auto_increment,
    `post_id` int(11) NOT NULL,
    `is_approved` tinyint(1) NOT NULL DEFAULT 0,
    `title` varchar(255) NOT NULL DEFAULT '',
    `url` varchar(255) NOT NULL DEFAULT '',
    `excerpt` varchar(255) NOT NULL DEFAULT '',
    `blog_name` varchar(255) NOT NULL DEFAULT '',
    `ip` varchar(100) NOT NULL DEFAULT '',
    `r_datetime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
    PRIMARY KEY  (`trackback_id`),
    KEY `post_id` (`post_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `pb_images` (
    `image_id` int(11) NOT NULL auto_increment,
    `title` varchar(255) NOT NULL DEFAULT '',
    `size` int(11) NOT NULL,
    `type` varchar(255) NOT NULL DEFAULT '',
    `image` longblob NOT NULL,
    `r_datetime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
    PRIMARY KEY  (`image_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `pb_banner` (
    `banner_id` int(11) NOT NULL auto_increment,
    `title` varchar(255) NOT NULL DEFAULT '',
    `outline` text NOT NULL DEFAULT '',
    `url` text NOT NULL DEFAULT '',
    `image_id` int(11) NOT NULL,
    `r_datetime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
    PRIMARY KEY  (`banner_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `pb_user` (
    `user_id` int(11) NOT NULL auto_increment,
    `id` varchar(255) NOT NULL DEFAULT '',
    `email` blob NOT NULL DEFAULT '',
    `password` blob NOT NULL DEFAULT '',
    `nickname` varchar(255) NOT NULL DEFAULT '',
    `birth_year` smallint(4) NOT NULL,
    `birth_month` tinyint(2) NOT NULL,
    `birth_day` tinyint(2) NOT NULL,
    `sex` tinyint(1) NOT NULL DEFAULT 0,
    `blood_type` tinyint(1) NOT NULL DEFAULT 0,
    `self_intro` text NOT NULL DEFAULT '',
    `r_datetime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
    `m_datetime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
    PRIMARY KEY  (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
