SET SESSION AUTHORIZATION 'pocketblog';

CREATE TABLE pb_access_log (
    access_log_id serial NOT NULL,
    user_agent varchar(255) NOT NULL DEFAULT '',
    ip varchar(100) NOT NULL DEFAULT '',
    host varchar(255) NOT NULL DEFAULT '',
    uri varchar(255) NOT NULL DEFAULT '',
    referer varchar(255) NOT NULL DEFAULT '',
    r_datetime timestamp without time zone NOT NULL DEFAULT CURRENT_TIMESTAMP,
    PRIMARY KEY  (access_log_id)
);

CREATE TABLE pb_blocks (
    block_id serial NOT NULL,
    ip varchar(100) NOT NULL DEFAULT '',
    note text NOT NULL DEFAULT '',
    r_datetime timestamp without time zone NOT NULL DEFAULT CURRENT_TIMESTAMP,
    PRIMARY KEY  (block_id)
);

CREATE TABLE pb_block_log (
    block_log_id serial NOT NULL,
    ip varchar(100) NOT NULL DEFAULT '',
    r_datetime timestamp without time zone NOT NULL DEFAULT CURRENT_TIMESTAMP,
    PRIMARY KEY  (block_log_id)
);

CREATE TABLE pb_blog_config (
    blog_config_id serial NOT NULL,
    name varchar(64) NOT NULL DEFAULT '',
    value text NOT NULL DEFAULT '',
    PRIMARY KEY  (blog_config_id)
);

CREATE TABLE pb_categories (
    category_id serial NOT NULL,
    category_name varchar(255) NOT NULL DEFAULT '',
    outline text NOT NULL DEFAULT '',
    sort_order integer NOT NULL DEFAULT 0,
    r_datetime timestamp without time zone NOT NULL DEFAULT CURRENT_TIMESTAMP,
    PRIMARY KEY  (category_id)
);

CREATE TABLE pb_category_posts (
    category_post_id serial NOT NULL,
    category_id integer NOT NULL,
    post_id integer NOT NULL,
    PRIMARY KEY  (category_post_id)
);

CREATE TABLE pb_links (
    link_id serial NOT NULL,
    link_name varchar(255) NOT NULL DEFAULT '',
    url text NOT NULL DEFAULT '',
    sort_order integer NOT NULL DEFAULT 0,
    r_datetime timestamp without time zone NOT NULL DEFAULT CURRENT_TIMESTAMP,
    PRIMARY KEY  (link_id)
);

CREATE TABLE pb_posts (
    post_id serial NOT NULL,
    subject varchar(255) NOT NULL DEFAULT '',
    category_id integer NOT NULL,
    is_open smallint NOT NULL DEFAULT 0,
    allow_comment smallint NOT NULL DEFAULT 0,
    trackback_url text NOT NULL DEFAULT '',
    body text NOT NULL DEFAULT '',
    r_datetime timestamp without time zone NOT NULL DEFAULT CURRENT_TIMESTAMP,
    m_datetime timestamp without time zone NOT NULL DEFAULT CURRENT_TIMESTAMP,
    PRIMARY KEY  (post_id)
);

CREATE TABLE pb_post_comments (
    post_comment_id serial NOT NULL,
    post_id integer NOT NULL,
    is_approved smallint NOT NULL DEFAULT 0,
    author_name varchar(255) NOT NULL DEFAULT '',
    author_email varchar(255) NOT NULL DEFAULT '',
    author_url varchar(255) NOT NULL DEFAULT '',
    author_password bytea NOT NULL DEFAULT '',
    comment text NOT NULL DEFAULT '',
    r_datetime timestamp without time zone NOT NULL DEFAULT CURRENT_TIMESTAMP,
    PRIMARY KEY  (post_comment_id)
);

CREATE TABLE pb_trackbacks (
    trackback_id serial NOT NULL,
    post_id integer NOT NULL,
    is_approved smallint NOT NULL DEFAULT 0,
    title varchar(255) NOT NULL DEFAULT '',
    url varchar(255) NOT NULL DEFAULT '',
    excerpt varchar(255) NOT NULL DEFAULT '',
    blog_name varchar(255) NOT NULL DEFAULT '',
    ip varchar(100) NOT NULL DEFAULT '',
    r_datetime timestamp without time zone NOT NULL DEFAULT CURRENT_TIMESTAMP,
    PRIMARY KEY  (trackback_id)
);

CREATE TABLE pb_images (
    image_id serial NOT NULL,
    title varchar(255) NOT NULL DEFAULT '',
    size integer NOT NULL,
    type varchar(255) NOT NULL DEFAULT '',
    image bytea NOT NULL,
    r_datetime timestamp without time zone NOT NULL DEFAULT CURRENT_TIMESTAMP,
    PRIMARY KEY  (image_id)
);

CREATE TABLE pb_banner (
    banner_id serial NOT NULL,
    title varchar(255) NOT NULL DEFAULT '',
    outline text NOT NULL DEFAULT '',
    url text NOT NULL DEFAULT '',
    image_id integer NOT NULL,
    r_datetime timestamp without time zone NOT NULL DEFAULT CURRENT_TIMESTAMP,
    PRIMARY KEY  (banner_id)
);

CREATE TABLE pb_user (
    user_id serial NOT NULL,
    id varchar(255) NOT NULL DEFAULT '',
    email bytea NOT NULL DEFAULT '',
    password bytea NOT NULL DEFAULT '',
    nickname varchar(255) NOT NULL DEFAULT '',
    birth_year smallint NOT NULL,
    birth_month smallint NOT NULL,
    birth_day smallint NOT NULL,
    sex smallint NOT NULL DEFAULT 0,
    blood_type smallint NOT NULL DEFAULT 0,
    self_intro text NOT NULL DEFAULT '',
    r_datetime timestamp without time zone NOT NULL DEFAULT CURRENT_TIMESTAMP,
    m_datetime timestamp without time zone NOT NULL DEFAULT CURRENT_TIMESTAMP,
    PRIMARY KEY  (user_id)
);
