<?php
/**
 * Pocket Project
 * 
 * @copyright 2006 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  コメント登録用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketBlog.mobile.do
 */
class postCommentEntryInsertAction extends Pocket_Blog_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // リクエスト情報の取得
        $post_id      = $request['post_id'];
        $author_name  = $request['author_name'];
        $author_email = $request['author_email'];
        $author_url   = $request['author_url'];
        $comment      = $request['comment'];

        // コメントの登録
        db_insert_post_comment($post_id, !IS_COMMENT_APPROVE, $author_name, $author_email, $author_url, $comment);

        // リダイレクト
        pocket_redirect('postComment.view', array('post_id' => $post_id));
    }

    /**
     *  リクエスト検証
     *
     *  @access public
     *  @param  object  $validator          バリデータ
     *  @param  object  $request            リクエスト情報
     */
    function validate(&$validator, &$request)
    {
        // リクエスト情報の取得
        $post_id      = $request['post_id'];
        $author_name  = $request['author_name'];
        $author_email = $request['author_email'];
        $author_url   = $request['author_url'];
        $comment      = $request['comment'];

        // エラー表示用のAction名称の設定
        $this->viewAction = 'postCommentEntry';

        // 検証
        $validator->validate('post_id'     , 'ID'      , $post_id     , 'number', true);
        $validator->validate('author_name' , '名前'    , $author_name , 'string', true);
        $validator->validate('author_email', 'E-Mail'  , $author_email, 'email');
        $validator->validate('author_url'  , 'URL'     , $author_url  , 'url');
        $validator->validate('comment'     , 'コメント', $comment     , 'string', true);

        // 記事情報の存在チェック
        if (!db_get_post_info($post_id))
            pocket_redirect('default.view');

        // コメントスパムの判定
        if ($this->isCommentSpam($comment))
            pocket_redirect('default.view');
    }
}

?>
