<?php
/**
 * Pocket Project
 * 
 * @copyright 2006 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  アーカイブ別投稿一覧画面表示用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketBlog.mobile.view
 */
class archiveListAction extends Pocket_Blog_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // リクエスト情報の取得
        $year  = $request['year'];
        $month = $request['month'];
        $page  = $request['page'];

        // 年月情報をSESSION変数に設定
        $this->setYearMonthInfo2Session($year, $month);

        /**
         *  メイン情報の取得、設定
         */
        // ページ番号の取得
        $page = (empty($page)) ? 1 : $page;

        // 年月の投稿情報の設定
        $this->assign('entries', db_get_posts4year_month($year, $month, $page, PAGE_SIZE));
        // 年月の投稿件数の取得
        $hit_count = db_get_posts_count4year_month($year, $month);

        // ページング情報の設定
        $this->assignPagingInfo($page, PAGE_SIZE, $hit_count);

        /**
         *  基本情報の設定
         */
        // ページタイトルの設定
        $this->assign('page_title', $year . '年' . $month . '月の記事一覧 ');

        // 年月情報
        $this->assignYearMonthInfo($year, $month);

        return POCKET_ACTION_SUCCESS;
    }
}

?>
