<?php
/**
 * Pocket Project
 * 
 * @copyright 2006 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  日別投稿一覧画面表示用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketBlog.pc.view
 */
class dailyListAction extends Pocket_Blog_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // リクエスト情報の取得
        $year  = $request['year'];
        $month = $request['month'];
        $day   = $request['day'];

        // 年月情報をSESSION変数に設定
        $this->setYearMonthInfo2Session($year, $month);

        /**
         *  メイン情報の取得、設定
         */
        // 日情報の設定
        $this->assign('day', $day);

        // 日の投稿情報の設定
        $this->assign('entries', db_get_posts4day($year, $month, $day));

        /**
         *  基本情報の設定
         */
        // ページタイトルの設定
        $this->assign('page_title', $year . '年' . $month . '月' . $day . '日の記事一覧 ');

        // 年月情報
        $this->assignYearMonthInfo($year, $month);

        // サイドメニュー情報の設定
        $this->assignSideMenuInfo();

        return POCKET_ACTION_SUCCESS;
    }
}

?>
