<?php
/**
 * Pocket Project
 * 
 * @copyright 2006 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  最新投稿一覧画面表示用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketBlog.pc.view
 */
class defaultAction extends Pocket_Blog_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        /**
         *  基本情報の取得
         */
        // 年月情報
        $today = getdate();
        $year = $today['year'];
        $month = $today['mon'];

        // 年月情報をSESSION変数に設定
        $this->setYearMonthInfo2Session($year, $month);

        /**
         *  メイン情報の取得、設定
         */
        // ページ番号の取得
        $page = 1;

        // 最新の投稿情報の取得、設定
        $this->assign('entries', db_get_posts4latest($page, PAGE_SIZE));

        /**
         *  基本情報の設定
         */
        // ページタイトル
        $this->assign('page_title', 'トップページ');

        // 年月情報
        $this->assignYearMonthInfo($year, $month);

        // サイドメニュー情報
        $this->assignSideMenuInfo();

        return POCKET_ACTION_SUCCESS;
    }
}

?>
